---

# OpenID Connect client registry.
clients:
  - id: phoenix
    name: ownCloud web app
    application_type: web
    insecure: yes
    trusted: yes
    redirect_uris:
      - https://localhost:9200/
      - https://localhost:9200/oidc-callback.html
      - https://localhost:9200/oidc-silent-redirect.html
      - http://localhost:9100/
      - http://localhost:9100/oidc-callback.html
      - http://localhost:9100/oidc-silent-redirect.html
    origins:
      - https://localhost:9200
      - http://localhost:9100

  - id: ocis-explorer.js
    name: OCIS Graph Explorer
    trusted: yes
    application_type: web
    insecure: yes

  - id: xdXOt13JKxym1B1QcEncf2XDkLAexMBFwiT9j6EfhhHFJhs2KM9jbjTmf8JBXE69
    secret: UBntmLjC2yYCeHwsyj73Uwo9TAaecAetRwMw0xYcvNL9yRdLSUi0hUAHfvCHFeFh
    name: ownCloud desktop app
    application_type: native
    insecure: true

  - id: e4rAsNUSIUs0lF4nbv9FmCeUkTlV9GdgTLDH1b5uie7syb90SzEVrbN7HIpmWJeD
    secret: dInFYGV33xKzhbRmpqQltYNdfLdJIfJ9L5ISoKhNoT9qZftpdWSP71VrpGR9pmoD
    name: ownCloud Android app
    application_type: native
    redirect_uris:
      - oc://android.owncloud.com

  - id: mxd5OQDk6es5LzOzRvidJNfXLUZS2oN3oUFeXPP8LpPrhx3UroJFduGEYIBOxkY1
    secret: KFeFWWEZO9TkisIQzR3fo7hfiMXlOpaqP8CFuTbSHzV1TUuGECglPxpiVKJfOXIx
    name: ownCloud iOS app
    application_type: native
    redirect_uris:
      - oc://ios.owncloud.com
      - oc.ios://ios.owncloud.com


#  - id: playground-trusted.js
#    name: Trusted OIDC Playground
#    trusted: yes
#    application_type: web
#    redirect_uris:
#       - https://my-host:8509/
#    origins:
#       - https://my-host:8509

#  - id: playground-trusted.js
#    name: Trusted Insecure OIDC Playground
#    trusted: yes
#    application_type: web
#    insecure: yes

#  - id: client-with-keys
#    secret: super
#    application_type: native
#    redirect_uris:
#      - http://localhost
#    trusted_scopes:
#      - konnect/guestok
#      - kopano/kwm
#    jwks:
#      keys:
#        - kty: EC
#          use: sig
#          kid: client-with-keys-key-1
#          crv: P-256
#          x: RTZpWoRbjwX1YavmSHVBj6Cy3Yzdkkp6QLvTGB22D0c
#          y: jeavjwcX0xlDSchFcBMzXSU7wGs2VPpNxWCwmxFvmF0
#    request_object_signing_alg: ES256

#  - id: first
#    secret: lala
#    application_type: native
#    redirect_uris:
#      - my://app

#  - id: second
#    secret: lulu
#    application_type: native
#    redirect_uris:
#      - http://localhost

# External authority registry.
authorities:
#  - id: my-univention
#    name: Univention
#    client_id: kopano-konnect
#    authority_type: oidc
#    jwks:
#      keys:
#        - kty: EC
#          use: sig
#          kid: example-key-1
#          crv: P-256
#          x: RTZpWoRbjwX1YavmSHVBj6Cy3Yzdkkp6QLvTGB22D0c
#          y: jeavjwcX0xlDSchFcBMzXSU7wGs2VPpNxWCwmxFvmF0
#    default: yes
#    authorization_endpoint: https://my-univention/signin/v1/identifier/_/authorize
#    response_type: id_token
#    scopes:
#      - openid
#      - profile
#    identity_claim_name: preferred_username
#    identity_aliases:
#      external-user-a: local-user-a
#      external-user-b: local-user-b
#    identity_alias_required: true
